Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.events.data
Interface TaskUpdateSystemPropertyEvent

All Superinterfaces:
  Serializable, TaskEvent

All Known Subinterfaces:
  TaskStepActionEvent

    public interface TaskUpdateSystemPropertyEvent

extends TaskEvent

BEA Systems, Inc.

Nested Class Summary
`static class` | `TaskUpdateSystemPropertyEvent.ChangedProperty` Class representing a single property that got changed.

Nested classes/interfaces inherited from interface com.bea.wli.worklist.api.events.data.TaskEvent
`TaskEvent.Type`

Method Summary
`boolean` | `containsSystemProperty(SystemProperty propertyName)` Return true if the give property is in the change list.
`List<TaskUpdateSystemPropertyEvent.ChangedProperty>` | `getChangedSystemProperties()` Get a list of properties that got changed.
`List<SystemProperty>` | `getChangedSystemPropertyNames()` Get a list of property names that got changed.

Methods inherited from interface com.bea.wli.worklist.api.events.data.TaskEvent
`getAdminState, getAssigneeList, getCaller, getClaimant, getCreator, getEventType, getOwner, getServerName, getSummary, getTaskId, getTaskName, getTaskPlanId, getTimestamp, getWorkingState`

Method Detail

### getChangedSystemPropertyNames

    List<SystemProperty> getChangedSystemPropertyNames()

  Get a list of property names that got changed.

  Returns:

### getChangedSystemProperties

    List<TaskUpdateSystemPropertyEvent.ChangedProperty> getChangedSystemProperties()

  Get a list of properties that got changed. The list element object (ChangeProperty) contains the old and the new value.

  Returns:

### containsSystemProperty

    boolean containsSystemProperty(SystemProperty propertyName)

  Return true if the give property is in the change list.

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD